# PetscLogClassRegister

Registers a class name for logging operations in an application code.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogClassRegister(PetscCookie *oclass, const char name[])

Not Collective

### Input Parameter

name -The class name

### Output Parameter

oclass -The class id or cookie

### Keywords

log, class, register

Level:developer
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages